
Foreman - Bug #4639

Syntax of arrays in parameters changed when edit is changed.

03/12/2014 09:19 AM - Martin Hovmöller

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Parameters   

Target version: 1.4.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.3.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As I understand if, the syntax for arrays should be JSON/YAML stype, so if I wish to have an array of hashes the value for a

parameter should be something like "[{ "hostname": "host", "password": "secret" }].

Adding this works fine, but when the change is saved, foreman changes the syntax, so the next time I edit the host the value is

instead "[{"hostname"=>"host", "password"=>"secret"}]".

Trying to edit anything on this host then gives me the error "(<unknown>): did not find expected ',' or '}' while parsing a flow mapping

at line 1 column 2" since foreman doesn't get the syntax it itself created, which means that this value has to be manually changed

every time anything is changed on the host in question.

Associated revisions

Revision 801a90d1 - 03/18/2014 10:09 AM - Stephen Benjamin

fixes #4639 - array in lookup_value incorrectly displayed in form

Revision 0accaa2d - 05/07/2014 10:09 AM - Stephen Benjamin

fixes #4639 - array in lookup_value incorrectly displayed in form

(cherry picked from commit 801a90d196d363aadae7bf2be9347ff6e46e0471)

History

#1 - 03/12/2014 09:28 AM - Dominic Cleal

- Category set to Parameters

#2 - 03/18/2014 07:48 AM - Stephen Benjamin

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Target version set to 1.9.0

https://github.com/theforeman/foreman/pull/1304

#3 - 03/18/2014 10:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 801a90d196d363aadae7bf2be9347ff6e46e0471.

#4 - 03/18/2014 10:32 AM - Dominic Cleal

- translation missing: en.field_release set to 7

#5 - 03/25/2014 11:51 AM - Dominic Cleal

- translation missing: en.field_release changed from 7 to 9
https://github.com/theforeman/foreman/pull/1304
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/801a90d196d363aadae7bf2be9347ff6e46e0471


Apologies, I missed this from 1.4.2.  Retargeting for 1.4.3 if we do it, else 1.5.0.

#6 - 04/18/2014 01:40 AM - Dominic Cleal

- translation missing: en.field_release changed from 9 to 4

#7 - 05/07/2014 10:09 AM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 17
